Debian Bug report logs - #689285
tgmochikit: contains files without license

version graph

Package: tgmochikit; Maintainer for tgmochikit is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>;

Reported by: Bart Martens <bartm@debian.org>

Date: Mon, 1 Oct 2012 05:57:01 UTC

Severity: serious

Found in versions 1.4.2-2.1, 1.4.2-2

Fixed in version 1.4.2-2.1+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#689285; Package tgmochikit. (Mon, 01 Oct 2012 05:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Mon, 01 Oct 2012 05:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: submit@bugs.debian.org
Subject: tgmochikit: contains files without license
Date: Mon, 1 Oct 2012 05:52:55 +0000
Package: tgmochikit
Version: 1.4.2-2
Severity: serious

The file tgmochikit/static/javascript/1.4_r1383/unpacked/Sortable.js contains
this :

  |  Copyright (c) 2005 Thomas Fuchs (http://script.aculo.us, http://mir.aculo.us)
  |      Mochi-ized By Thomas Herve (_firstname_@nimail.org)
  |  
  |  See scriptaculous.js for full license.

I don't find any file named scriptaculous.js in the package.




Bug 689285 cloned as bug 690372 Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 13 Oct 2012 12:33:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#689285; Package tgmochikit. (Sat, 13 Oct 2012 12:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sat, 13 Oct 2012 12:36:05 GMT) Full text and rfc822 format available.

Message #12 received at 689285@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 689285@bugs.debian.org
Subject: tgmochikit: diff for NMU version 1.4.2-2.1
Date: Sat, 13 Oct 2012 13:34:10 +0100
[Message part 1 (text/plain, inline)]
Dear maintainer,

I've prepared an NMU for tgmochikit (versioned as 1.4.2-2.1) and
uploaded it.

Regards.

-- 
Ben Hutchings
Humans are not rational beings; they are rationalising beings.
[tgmochikit-1.4.2-2.1-nmu.diff (text/x-diff, attachment)]

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Sat, 13 Oct 2012 12:36:10 GMT) Full text and rfc822 format available.

Notification sent to Bart Martens <bartm@debian.org>:
Bug acknowledged by developer. (Sat, 13 Oct 2012 12:36:10 GMT) Full text and rfc822 format available.

Message #17 received at 689285-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 689285-close@bugs.debian.org
Subject: Bug#689285: fixed in tgmochikit 1.4.2-2.1
Date: Sat, 13 Oct 2012 12:32:37 +0000
Source: tgmochikit
Source-Version: 1.4.2-2.1

We believe that the bug you reported is fixed in the latest version of
tgmochikit, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 689285@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated tgmochikit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 13 Oct 2012 12:46:29 +0100
Source: tgmochikit
Binary: python-tgmochikit
Architecture: all source
Version: 1.4.2-2.1
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 689285
Description: 
 python-tgmochikit - The MochiKit JavaScript library as a TurboGears widget
Changes: 
 tgmochikit (1.4.2-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Remove the text 'See scriptaculous.js for full license' from
     Sortable.js.  This file (and DragAndDrop.js) is derived from
     scriptaculous-js <http://script.aculo.us/dist/> which is MIT-licenced
     and compatible with the MIT/AFL dual-licence applied to all the
     Javascript code. (Closes: #689285)
Checksums-Sha1: 
 ca882748b0da3f4cc825a7df21ed4bfae8683d1a 1910 tgmochikit_1.4.2-2.1.dsc
 36837d8a561c18494effdd3f2e9b0124c799cb5f 1824 tgmochikit_1.4.2-2.1.diff.gz
 fa2e369f1ed2b7299533c24bb7193a1fd8fc1b73 687826 python-tgmochikit_1.4.2-2.1_all.deb
Checksums-Sha256: 
 0596fc8cee087b34a118475339aab1a11c8f18a2daaa7fb570247a9b2b634535 1910 tgmochikit_1.4.2-2.1.dsc
 0c3e980929021f3b679d510cf0f14930cb1c0f1c5eea7cb589823e9234a34b9a 1824 tgmochikit_1.4.2-2.1.diff.gz
 34433d4e023ef1d3ae3e860d3bd277b7445e13f54de43d0a76fe8a6978671a58 687826 python-tgmochikit_1.4.2-2.1_all.deb
Files: 
 bbedbf987d1b9c224fdc1c4dfc8d7183 1910 python optional tgmochikit_1.4.2-2.1.dsc
 058e05c066fd83c2b5819f3bbd786927 1824 python optional tgmochikit_1.4.2-2.1.diff.gz
 27409620fee58a11d2a007ea25380664 687826 python optional python-tgmochikit_1.4.2-2.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUHleS+e/yOyVhhEJAQqJuw//c5qjGecKmTqNznGAI6ueYrMZy0hFtzPB
9gi4tmCjOdwDpvqmym3Cle2hf/gPUoT6uLRVVyFQHK5Iy2qCdYmzoh7Xv0kY5mB/
AxoQU+YyQ0eXqbtdsK9a9uhznI6y5E9SGMNxDI1LA7cTNxDulSNTUpGk6tK3TtFj
eUD7PM3kUTNVnLNWIrBpH+YT6VQhbJlU4U9ly6T+Wc09rEZo+QJt1D34P1Yoi/6z
QqWN0Rtn284yzi8OW31N4miKQXTaCIBrhJ/FdC0uFIz93ieo0nPRrwHZksdq+FW6
gViNJbnmMS8isGsi2ACZN8get6qEL1exUlOUbWss+9o1o0BDZ1xPISByfegc4F9f
Z+KC94eUC6sbx7HaERqEmV8bGzfd7ZzzzSkvCJgULXGr/zdbLl4x9uTJyq16MAFm
V19Mfv3mufoStt9m9cZACmsYrHD9YLSLgdy6jbf7zSy0FVyFhMo7q4nViR8HENd2
n9UODCfQ4/HohKTG93n3pk6PfjSvGH9wquOjixV9WmyXrqAik17tRAWgkG2McqbZ
shYOTNfaqat2cKJ1odr0pDVNehZnjRtvpX1CCbyCFjbsjT1Z2RNZp03DRXwN18l8
8q+0rQsa5XYNB+qFvw3eZ1NUBIBoOW9wbylvDh4JoGg2aI+GBVkdSrVRNM5xqMjk
8QGx2Htqybc=
=0UwY
-----END PGP SIGNATURE-----




Marked as found in versions 1.4.2-2.1; no longer marked as fixed in versions tgmochikit/1.4.2-2.1 and reopened. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Sun, 14 Oct 2012 06:12:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#689285; Package tgmochikit. (Sun, 21 Oct 2012 14:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sun, 21 Oct 2012 14:27:05 GMT) Full text and rfc822 format available.

Message #24 received at 689285@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: 689285@bugs.debian.org
Subject: Not properly fixed
Date: Sun, 21 Oct 2012 16:24:58 +0200
Although removing the scriptaculus reference could be a working
solution, the fix is not complete as you have to list Thomas Fuchs
into the copyright holders in copyright file, MIT license requires
every copyright holder is explicitly listed.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#689285; Package tgmochikit. (Fri, 23 Nov 2012 21:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <enrico@enricozini.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Fri, 23 Nov 2012 21:57:07 GMT) Full text and rfc822 format available.

Message #29 received at 689285@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@enricozini.org>
To: Luca Falavigna <dktrkranz@debian.org>, 689285@bugs.debian.org
Cc: python-turbomail@packages.debian.org, python-turbogears@packages.debian.org, python-tgmochikit@packages.debian.org
Subject: Re: Bug#689285: Not properly fixed
Date: Fri, 23 Nov 2012 22:47:22 +0100
[Message part 1 (text/plain, inline)]
On Sun, Oct 21, 2012 at 04:24:58PM +0200, Luca Falavigna wrote:

> Although removing the scriptaculus reference could be a working
> solution, the fix is not complete as you have to list Thomas Fuchs
> into the copyright holders in copyright file, MIT license requires
> every copyright holder is explicitly listed.

I see no reason to release Wheezy with turbogears, at all.

It is hardly supported upstream, it is obsolete, and it does not have
many users.

Also, I have no motivation whatsoever to support it for Wheezy's
lifetime.

My plan to solve this bug is therefore to file RM bugs for it and all
that depends on it, both for wheezy and for sid.

The affected packages are:

   python-tgmochikit
   python-turbogears
   python-turbomail

I'll do it in a week unless some of the other comaintainers step up and
say that they take responsibility for supporting TG during Wheezy's
lifetime.


Ciao,

Enrico

-- 
GPG key: 4096R/E7AD5568 2009-05-08 Enrico Zini <enrico@enricozini.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#689285; Package tgmochikit. (Sat, 24 Nov 2012 01:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnaud Fontaine <arnau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sat, 24 Nov 2012 01:18:03 GMT) Full text and rfc822 format available.

Message #34 received at 689285@bugs.debian.org (full text, mbox):

From: Arnaud Fontaine <arnau@debian.org>
To: Enrico Zini <enrico@enricozini.org>
Cc: Luca Falavigna <dktrkranz@debian.org>, 689285@bugs.debian.org, python-turbomail@packages.debian.org, python-turbogears@packages.debian.org, python-tgmochikit@packages.debian.org
Subject: Re: Bug#689285: Not properly fixed
Date: Sat, 24 Nov 2012 10:10:12 +0900
[Message part 1 (text/plain, inline)]
Hi,

Enrico Zini <enrico@enricozini.org> writes:

> I see no reason to release Wheezy with turbogears, at all.
>
> It is hardly supported upstream, it  is obsolete, and it does not have
> many users.
>
> Also,  I have  no motivation  whatsoever  to support  it for  Wheezy's
> lifetime.
>
> My plan to solve this bug is therefore  to file RM bugs for it and all
> that depends on it, both for wheezy and for sid.
>
> The affected packages are:
>
>    python-tgmochikit python-turbogears python-turbomail
>
> I'll do it  in a week unless  some of the other  comaintainers step up
> and  say  that  they  take responsibility  for  supporting  TG  during
> Wheezy's lifetime.

Please go ahead as I don't mind at all if you get rid of turbomail.

Cheers,
-- 
Arnaud Fontaine
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#689285; Package tgmochikit. (Sat, 24 Nov 2012 10:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <enrico@enricozini.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sat, 24 Nov 2012 10:18:03 GMT) Full text and rfc822 format available.

Message #39 received at 689285@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@enricozini.org>
To: 689285@bugs.debian.org
Subject: Re: Bug#689285: Not properly fixed
Date: Sat, 24 Nov 2012 11:15:44 +0100
[Message part 1 (text/plain, inline)]
On Fri, Nov 23, 2012 at 10:47:22PM +0100, Enrico Zini wrote:

> I'll do it in a week unless some of the other comaintainers step up and
> say that they take responsibility for supporting TG during Wheezy's
> lifetime.

I managed to get an ACK from all relevant maintainers, and filed the RM
bug: #694144


Ciao,

Enrico

-- 
GPG key: 4096R/E7AD5568 2009-05-08 Enrico Zini <enrico@enricozini.org>
[signature.asc (application/pgp-signature, inline)]

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Mon, 26 Nov 2012 21:45:15 GMT) Full text and rfc822 format available.

Notification sent to Bart Martens <bartm@debian.org>:
Bug acknowledged by developer. (Mon, 26 Nov 2012 21:45:15 GMT) Full text and rfc822 format available.

Message #44 received at 689285-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 689285-done@bugs.debian.org,
Cc: tgmochikit@packages.debian.org, tgmochikit@packages.qa.debian.org
Subject: Bug#694480: Removed package(s) from unstable
Date: Mon, 26 Nov 2012 21:42:23 +0000
Version: 1.4.2-2.1+rm

Dear submitter,

as the package tgmochikit has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/694480

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 May 2013 08:02:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:23:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.